For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
      • POSTComplete warehouse destination setup
      • POSTCreate Data Export destination
      • DELDelete Data Export destination
      • POSTGenerate Snowflake destination key pair
      • POSTGenerate Snowflake destination key pair
      • POSTGenerate trust policy
      • POSTGenerate warehouse destination setup script
      • GETGet destination
      • GETList destinations
      • PATCHUpdate Data Export destination
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewData Export Destinations

Get destination

GET
/api/v2/destinations/:projectKey/:environmentKey/:id
GET
/api/v2/destinations/:projectKey/:environmentKey/:id
$curl https://app.launchdarkly.com/api/v2/destinations/projectKey/environmentKey/id \
> -H "Authorization: <apiKey>"
1{
2 "_id": "610addeadbeefaa86ec9a7d4",
3 "_links": {
4 "parent": {
5 "href": "/api/v2/destinations",
6 "type": "application/json"
7 },
8 "self": {
9 "href": "/api/v2/destinations/my-project/my-environment/610addeadbeefaa86ec9a7d4",
10 "type": "application/json"
11 }
12 },
13 "name": "example-destination",
14 "kind": "google-pubsub",
15 "version": 1,
16 "config": null,
17 "on": true,
18 "createdAt": 1628001602644,
19 "_access": {
20 "denied": [
21 {
22 "action": "string",
23 "reason": {
24 "effect": "allow",
25 "resources": [
26 "proj/*:env/*;qa_*:/flag/*"
27 ],
28 "notResources": [
29 "string"
30 ],
31 "actions": [
32 "*"
33 ],
34 "notActions": [
35 "string"
36 ],
37 "role_name": "string"
38 }
39 }
40 ],
41 "allowed": [
42 {
43 "action": "string",
44 "reason": {
45 "effect": "allow",
46 "resources": [
47 "proj/*:env/*;qa_*:/flag/*"
48 ],
49 "notResources": [
50 "string"
51 ],
52 "actions": [
53 "*"
54 ],
55 "notActions": [
56 "string"
57 ],
58 "role_name": "string"
59 }
60 }
61 ]
62 }
63}
Get a single Data Export destination by ID.
Was this page helpful?
Previous

List destinations

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key
idstringRequiredformat: "string"
The Data Export destination ID

Response

Destination response
_idstring
The ID of this Data Export destination
_linksmap from strings to objects
The location and content type of related resources
namestring

A human-readable name for your Data Export destination

kindenum
The type of Data Export destination
versiondouble
configany
An object with the configuration parameters required for the destination type
onboolean
Whether the export is on, that is, the status of the integration
createdAtlong

Timestamp of when the Data Export destination was created (as Unix milliseconds since epoch)

_accessobject
Details on the allowed and denied actions for this Data Export destination

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error